# Collections

## POST /collection/mintable/multi-search

> Search mintable collections using filter criteria

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/mintable/multi-search":{"post":{"tags":["collection"],"description":"Search mintable collections using filter criteria","operationId":"mintable_multi_search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MintableCollectionSearchFilter"}}},"required":true},"responses":{"200":{"description":"Paginated collections","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationResponse_Vec_MintableCollection"}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"MintableCollectionSearchFilter":{"type":"object","description":"Struct used to filter mintable collections.","properties":{"name":{"type":["string","null"]},"sort":{"type":["array","null"],"items":{"$ref":"#/components/schemas/SortField_SortMintableFieldCollection"}},"limit":{"type":["integer","null"],"format":"int32"},"offset":{"type":["integer","null"],"format":"int32"}}},"SortField_SortMintableFieldCollection":{"type":"object","required":["field","order"],"properties":{"field":{"type":"string","enum":["id","name","supply","created_at","start","end","progress"]},"order":{"$ref":"#/components/schemas/SortOrder"}}},"SortOrder":{"type":"string","enum":["ASC","DESC"]},"PaginationResponse_Vec_MintableCollection":{"type":"object","required":["response","offset"],"properties":{"response":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/Collection"},{"type":"object","required":["mint"],"properties":{"mint":{"$ref":"#/components/schemas/MintEntity"}}}]}},"offset":{"type":"integer","format":"int32"}}},"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"MintEntity":{"type":"object","required":["collection_id","mintable","mints","cap","amount"],"properties":{"collection_id":{"type":"string"},"start":{"type":["integer","null"],"format":"int64","minimum":0},"end":{"type":["integer","null"],"format":"int64","minimum":0},"mintable":{"type":"boolean"},"mints":{"type":"string"},"cap":{"type":"string"},"amount":{"type":"string"}}}}}}
```

## POST /collection/multi-search

> Get multiple collections using filter criteria

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/multi-search":{"post":{"tags":["collection"],"description":"Get multiple collections using filter criteria","operationId":"multi_search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionSearchFilter"}}},"required":true},"responses":{"200":{"description":"Paginated collections","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationResponse_Vec_Collection"}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"CollectionSearchFilter":{"type":"object","description":"Struct used to filter collections.","properties":{"name":{"type":["string","null"]},"sort":{"type":["array","null"],"items":{"$ref":"#/components/schemas/SortField_SortFieldCollection"}},"limit":{"type":["integer","null"],"format":"int32"},"offset":{"type":["integer","null"],"format":"int32"},"address":{"type":["string","null"]}}},"SortField_SortFieldCollection":{"type":"object","required":["field","order"],"properties":{"field":{"type":"string","enum":["id","name","supply","created_at"]},"order":{"$ref":"#/components/schemas/SortOrder"}}},"SortOrder":{"type":"string","enum":["ASC","DESC"]},"PaginationResponse_Vec_Collection":{"type":"object","required":["response","offset"],"properties":{"response":{"type":"array","items":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]}},"offset":{"type":"integer","format":"int32"}}},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}}
```

## POST /collection/mintable/id

> Get mintable collections by ids

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/mintable/id":{"post":{"tags":["collection"],"description":"Get mintable collections by ids","operationId":"mintable_multi_search_by_id","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FindManyByIdsRequest"}}},"required":true},"responses":{"200":{"description":"List of mintable collections","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MintableCollection"}}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"FindManyByIdsRequest":{"type":"object","required":["ids"],"properties":{"ids":{"type":"array","items":{"type":"string"}}}},"MintableCollection":{"allOf":[{"$ref":"#/components/schemas/Collection"},{"type":"object","required":["mint"],"properties":{"mint":{"$ref":"#/components/schemas/MintEntity"}}}]},"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"MintEntity":{"type":"object","required":["collection_id","mintable","mints","cap","amount"],"properties":{"collection_id":{"type":"string"},"start":{"type":["integer","null"],"format":"int64","minimum":0},"end":{"type":["integer","null"],"format":"int64","minimum":0},"mintable":{"type":"boolean"},"mints":{"type":"string"},"cap":{"type":"string"},"amount":{"type":"string"}}}}}}
```

## GET /collection/id/{id}

> Get details for a single collection by ID

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/id/{id}":{"get":{"tags":["collection"],"description":"Get details for a single collection by ID","operationId":"get_collection_by_id","parameters":[{"name":"id","in":"path","description":"ID of the collection","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collection"}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}}
```

## GET /collection/ids

> Get multiple collection details by IDs

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/ids":{"get":{"tags":["collection"],"description":"Get multiple collection details by IDs","operationId":"get_collections_by_ids","parameters":[{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}},"explode":false}],"responses":{"200":{"description":"List of collections","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Collection"}}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}}
```

## GET /collection/names

> Get multiple collection that match the name query

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"collection","description":"Fetch detailed information for runes indexed on Saturn"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/collection/names":{"get":{"tags":["collection"],"description":"Get multiple collection that match the name query","operationId":"get_collections_by_names","parameters":[{"name":"names","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}},"explode":false}],"responses":{"200":{"description":"List of collections","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Collection"}}}}},"400":{"description":"Bad request"}}}}},"components":{"schemas":{"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saturnbtc.io/builders/saturn-api/indexer-api/collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
